Viewing 23 posts - 1 through 23 (of 23 total)
  • Author
    Posts
  • #1022064

    Hallo
    Wenn ich das Update auf die neue Enfold Version starte bekomme ich folgende Fehlermeldúng.

    Warning: preg_match() expects parameter 2 to be string, array given in /pages/83/60/d0010882/home/htdocs/wordpress_PitBull/wp-admin/includes/class-wp-upgrader.php on line 258

    Warning: file_exists() expects parameter 1 to be a valid path, array given in /pages/83/60/d0010882/home/htdocs/wordpress_PitBull/wp-admin/includes/class-wp-upgrader.php on line 258

    Warning: strip_tags() expects parameter 1 to be string, array given in /pages/83/60/d0010882/home/htdocs/wordpress_PitBull/wp-admin/includes/class-bulk-upgrader-skin.php on line 61
    Herunterladen der Aktualisierung von …

    Warning: parse_url() expects parameter 1 to be string, array given in /pages/83/60/d0010882/home/htdocs/wordpress_PitBull/wp-admin/includes/file.php on line 970

    Warning: preg_split() expects parameter 2 to be string, array given in /pages/83/60/d0010882/home/htdocs/wordpress_PitBull/wp-includes/kses.php on line 1325

    Warning: strtolower() expects parameter 1 to be string, array given in /pages/83/60/d0010882/home/htdocs/wordpress_PitBull/wp-includes/http.php on line 517

    Warning: strtolower() expects parameter 1 to be string, array given in /pages/83/60/d0010882/home/htdocs/wordpress_PitBull/wp-includes/http.php on line 517

    Beim Aktualisieren von Enfold ist ein Fehler aufgetreten: Download fehlgeschlagen. Es wurde keine gültige URL übermittelt.

    #1022080

    geht mir genau so, ich lese mal mit ;)

    #1022139
    #1022490

    Hallo,

    Thanks for sharing that thread @Gitte. Are you still having problems @pitbull_germany? If so then please post admin login details in private so that we can have a closer look at your site.

    LG,
    Rikard

    #1022644

    der Fehler ist immer noch vorhanden.
    ich habe ein Admin in privat angehängt

    #1022687

    Jetzt hat das Registrieren / Token geklappt, aber nun kommt dieser Fehler

    Warning: array_flip(): Can only flip STRING and INTEGER values! in /pages/83/60/d0010882/home/htdocs/wordpress_PitBull/wp-content/themes/enfold/framework/php/class-htmlhelper.php on line 1571

    der User aus dem letzten Post ist noch aktiv.

    #1023105

    Hallo,

    Thanks for the update, though I can’t see that warning on the backend or frontend of your site. Where exactly are you seeing it? Please note that it’s only a warning, it shouldn’t affect any functionality on your site.

    LG,
    Rikard

    #1023233

    Den Fehler sehen wir im Backend, auf der Theme Update Seite.
    Die Seite scheint sonst zu laufen.

    #1023836

    Hi,

    Der Warnung betrifft nur das Befüllen der Selectbox Alternate Menu for Mobile im Tab Main Menu von Enfold Optionpage.

    Warum der aber auftritt, ist mir eigentich nicht klar. Ich würde mit gerne den Inhalt einer Variablen anschauen, die Ursache dieser Fehlermeldung ist. Die Login Daten oben gehen leider nicht – könntest Du diese bitte nochmals prüfen. Zur Sicherheit bitte auch noch FTP Zugang, da ich eine Datei (nur im Backend) modifizieren muss, um den Inhalt der Variablen auszugeben.

    Best regards,
    Günter

    #1023865

    Hallo
    Ich habe die Daten angefügt.
    Viele Grüße
    Heiko

    #1024332

    Ich habe auf allen 5 Seiten die gleiche Meldung. Die früheren Fixes auch ausprobiert.
    Beim Aktualisieren von Enfold ist ein Fehler aufgetreten: Download fehlgeschlagen. Es wurde keine gültige URL übermittelt.
    Etwas mühsam alle ftp Zugänge bereitzustellen. Gibt es News zur Korrektur? LG Gabriele Marie

    #1024333

    Hi,

    Danke für die Hilfe. Ursache ist WPML. Hab den fix bereits hochgeladen und die Fehlermedldung ist weg:

    enfold/framework/php/class-htmlhelper.php on line 1571

    
    $menu_locations = array_flip( get_nav_menu_locations() );
    

    habe ich ersetzt durch:

    
                            /**
    			 * array_flip does not work because plugins like WPML might return '' or null for value which throws a warning
    			 * 
    			 * $menu_locations = array_flip( get_nav_menu_locations() );
    			 */
    			$menu_locations = array();
    			$temp = get_nav_menu_locations();
    			foreach ( $temp as $loc => $term_id ) 
    			{
    				if( is_numeric( $term_id ) && ( $term_id > 0 ) )
    				{
    					$menu_locations[ $term_id ] = $loc;
    				}
    			}
    

    Sollte im nächsten update drinnen sein.

    Best regards,
    Günter

    #1024339

    Lieber Günter. Bist Du sicher enfold/framework/php/class-htmlhelper.php on line 1571? Ich kann in der Datei den Eintrag nicht finden und manuell zufügen. VG, Gabriele Marie

    #1024350

    Liebe Gabriele

    Ich versuche dir hier mal zu helfen.
    Du schreibst “die früheren Fixes auch ausprobiert” – was genau hast du denn bereits versucht?

    Am einfachsten ist es, Enfold von 4.4.1 auf 4.5 via FTP zu aktualisieren. Dies liegt daran, dass die Envato API geändert hat und somit ein automatisches Update in diesem Fall nicht möglich ist.
    Ich habe unter folgendem Link eine ausführliche Schritt-für-Schritt-Anleitung erstellt, die dir beim Update hilft: https://kriesi.at/support/topic/enfold-4-5-update-via-wp-dashboard-fails/#post-1022202

    Bei Fragen einfach melden.

    Vielen Dank und liebe Grüsse
    Michael

    #1024352

    Hi,

    @Gabriele Marie

    Der post https://kriesi.at/support/topic/fehler-beim-update/#post-1024333 bezieht sich auf das Problem von @pitbull_germany und nicht auf das Envato Problem.

    Sorry für die Verwechslung, da der Thread mehrere Sachen betrifft.

    Folge bitte obigen Post einmal – falls das nicht hilft, bitte ein eigenes topic und uns admin login daten zur Verfügung stellen – danke.

    Best regards,
    Günter

    #1024808

    bei uns läuft jetzt alles wieder, DANKESCHÖN

    #1024822

    Hallo Zusammen – funktioniert leider bei mir bei der ersten Website nicht. Da ich die Zeit nicht habe, um das bei allen Seiten nachzuvollziehen warte ich auf das nächste Update. Dann geht es hoffentlich wieder, denn ein Update kann ja so umständlich nicht zur Verfügung stehen :-) Thanks Gabriele Marie

    #1024823

    Hallo Gabriele

    Das würde ich nicht tun (auf das nächste Update warten meine ich). Da die API geändert hat, wird es auch beim nächsten Update nicht funktionieren, ohne dass du mindestens einmal die neue API ansprichst.

    Was genau funktioniert denn nicht? Bekommst du eine Fehlermeldung und wie lautet die?

    Viele Grüsse
    Michael

    P.S.: Ich hätte Zeit, um dir bei den Updates zu helfen.

    #1024839

    Wie kann ich Dich kontaktieren lieber Michael?

    #1025063

    • This reply was modified 1 year, 11 months ago by  felix_frank.
    #1025139

    Für diese Version 4.5 muss einmalig manuell über den FTP geupdated werden.

    #1025264

    Ging bei mir auf keiner der 5 unterschiedlichen Seiten und ich habe es aufgegeben und professionelle Hilfe in Anspruch genommen. Nun läuft alles. Vielen Dank in die Runde für die super Unterstützung.

    #1025392

    Hi,

    Freut mich, dass es geklappt hat.

    Viel Freude noch mit Enfold. Gerne stehen wir für weitere Fragen zur Verfügung – einfach ein neues Topic anlegen.

    Best regards,
    Günter

Viewing 23 posts - 1 through 23 (of 23 total)

The topic ‘Fehler beim Update’ is closed to new replies.